import java.net.*;
import java.io.*;
JSONArray values;
String result;

//Create mercator map object
MercatorMap mercatorMap;

//create PVector
PVector zone;

PImage chicago;

void setup() {
  size(displayWidth, displayHeight);
  result   = getUrlContents("https://data.cityofchicago.org/resource/t2qc-9pjd.json");

  //println(json);//or save it?
  //load the image object
  chicago = loadImage("chicago.png");

//create the map/sketch coordinate translation
  mercatorMap = new MercatorMap(displayWidth, displayHeight, 42.04, 41.63, -87.92, -87.49);
}


void draw() {
  image(chicago, 0, 0, width, height);
  fill(255, 0, 0);  
  JSONArray json = JSONArray.parse(result);

  for (int i = 0; i < json.size (); i++) {

    JSONObject congestion = json.getJSONObject(i); 


    Float lat = congestion.getFloat("_south");
   
    Float lon = congestion.getFloat("_west");
    Float speed = congestion.getFloat("current_speed");
    zone = mercatorMap.getScreenLocation(new PVector(lat, lon));

    ellipse (zone.x, zone.y, 30, 30);

    if (dist(mouseX, mouseY, zone.x, zone.y)< 20) {
      pushStyle();
      fill(0, 0, 0);
      textSize(32);
      text(speed, zone.x-40, zone.y-50);
      pushStyle();
    }
    if (speed < 20) {

      fill (255, 0, 0);
    } else 

      if (speed > 20) {
      fill(0, 255, 0);
    }
  }
}

